• Visit Honorbuddy
  • Visit Rebornbuddy
  • Visit Demonbuddy
  • Visit Exilebuddy
  • Visit Hearthbuddy
  • Visit Pokefarmer
  • Visit Buddystore

[Plugin] BuddyPush - Honorbuddy Pushover Client

Discussion in 'Archives' started by Mirabis, Aug 25, 2013.

  1. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    [​IMG]
    BuddyPush makes it easy to send real-time notifications to your Android and iOS devices, with configurable triggers!
    Looking for someone to re-create the logo.




    >>> Download from the Buddy Store<<<






    >>> Special Credits <<<

    Apoc - Concepts for v1
    Jimmy06 - BuddyGrowl concept


    >>> Like this plugin ? <<<
    Press the [+Rep] or [Like] button!

    >>> Changelog <<<

    Buddy Store - 01/12/2014 - Version 2.0.0 | WoD Overhaul
    Revision 13 - 24/9/2013 - Version 1.2.0 | Additional options
    Revision 10 - 28/8/2013 - Version 1.2.0 | Multiple fixes
    Revision 8 - 28/8/2013 - Version 1.1.0 | Fixed the mass pulse error spam
    Revision 7
    - 25/8/2013 - Version 1.0.0 | Initial release of BuddyPush

     
    Last edited: Dec 1, 2014
  2. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    Setup Guide

    Instructions need to be re-created as per version 2.x.x

    Setting up BuddyPush




    Setting up Pushover




    Setting up PushBullet




    Setting up Prowl




    Setting up Pushalot




    Setting up NotifyMyAndroid




    Setting up BoxCar2




    Setting up Toasty



    Setting up the Trigger List
     
    Last edited: Dec 1, 2014
  3. ubuntu

    ubuntu New Member

    Joined:
    Aug 25, 2010
    Messages:
    121
    Likes Received:
    0
    Trophy Points:
    0
    Wow! This looks great!
     
  4. tonycos92

    tonycos92 New Member

    Joined:
    Jun 15, 2013
    Messages:
    135
    Likes Received:
    0
    Trophy Points:
    0
    Finally! This looks awesome! I'll test this out when I get home. Great release.
     
  5. panYama

    panYama Community Developer

    Joined:
    Jan 15, 2010
    Messages:
    2,629
    Likes Received:
    48
    Trophy Points:
    0
    Great work, love it!:)
     
  6. ubuntu

    ubuntu New Member

    Joined:
    Aug 25, 2010
    Messages:
    121
    Likes Received:
    0
    Trophy Points:
    0
    Hmm I think this no longer works with the latest honorbuddy version:

    Compiler Error: e:\Games\HB.new\Plugins\BuddyPush\GUI.Designer.cs(55,24) : error CS1061: 'System.Windows.Forms.PropertyGrid' does not contain a definition for 'CommandsBorderColor' and no extension method 'CommandsBorderColor' accepting a first argument of type 'System.Windows.Forms.PropertyGrid' could be found (are you missing a using directive or an assembly reference?)
     
  7. brainAbuddy

    brainAbuddy Active Member

    Joined:
    Aug 12, 2010
    Messages:
    2,182
    Likes Received:
    11
    Trophy Points:
    38
    looks great buddy !
    will test it now!
     
  8. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    Worked fine for me on :

    v650 -> v651 -> v652 -> v653.

    If u still experience issues, can u post a log?
     
  9. winternight

    winternight New Member

    Joined:
    Aug 19, 2013
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    I get the exact same error message, right after running HB. BuddyPush does not show up in the Plugins section (obviously).

    Version 2.5.7644.652
     
  10. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    Can u press Svn Update ( revision 9 ) and try again + post a logfile?
     
  11. winternight

    winternight New Member

    Joined:
    Aug 19, 2013
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    So, I updated HB to 653 and your plugin to svn rev 9 but I still get the same error.
     
  12. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
  13. winternight

    winternight New Member

    Joined:
    Aug 19, 2013
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    Thank you :) I do know how to attach the files, but I need 5 forum posts to be able to do that (or post links). At least that's what the forum software tells me.

    EDIT: I can't even quote your post, because it contains a link and I can't post links yet.
     
  14. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    It says ur missing a reference.
    Guessing it's .NET.

    Since ur a new user did u download Honorbuddy as .zip or did u use the installer ?
     
  15. winternight

    winternight New Member

    Joined:
    Aug 19, 2013
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    I used the installer.

    Two times it has asked me to upgrade (652 and 653) and I did that using the built-in update mechanism

    EDIT: Additional info, I'm using Windows XP. If I understand correctly, .NET 4.5 is not supported on XP, so if you used something from 4.5, that might explain it.
     
  16. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    [​IMG]

    That explains it... I will change it back to .Net 4.0 in a minute
     
  17. winternight

    winternight New Member

    Joined:
    Aug 19, 2013
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    Great thanks :) We'll have to see though. 4.5 is an in-place upgrade for 4.0. So, even if you set the target framework to 4.0, it'll still use 4.5 on your machine (i.e. for you, nothing will change). If it's a bug in 4.0 preventing your plugin from running, and that bug has been fixed in 4.5, there is nothing we can do.

    But I guess we'll have to wait and see whether it works :)
     
  18. Mirabis

    Mirabis Community Developer

    Joined:
    Jun 14, 2010
    Messages:
    4,476
    Likes Received:
    86
    Trophy Points:
    48
    new Version ( 1.2.0) :

    Changelog: ‚Äč
    Code:
     
    - Applied compiler fixes
    - Reverted to .Net 4.0
    - Removed CombatLogHandler.cs
    - Added LuaEvents
    - Fixed GameMaster Message
    - Fixed Battle.Net Message
    - Added OnBotStart
    - Added OnBotStop
    - Added BattleGround Leader
    - Added RaidLeader
    - Added PartyLeader
    - Code Cleanup
    - Logging output saved
    - Version number updated
    
     
  19. ashenbasher

    ashenbasher New Member

    Joined:
    Oct 26, 2012
    Messages:
    10
    Likes Received:
    0
    Trophy Points:
    0
    thanks Mirabis,

    this works for me! :)

    edit: I get every message twice. Is that a pushover configuration problem or a plugin problem? or even a pushover version problem.. Im using an old version because I didnt want to pay for the official one :p
     
  20. winternight

    winternight New Member

    Joined:
    Aug 19, 2013
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    Thanks :) Works for me too!
     

Share This Page